# $Revision: 1.8 $, $Date: 2008/07/27 22:41:55 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	MasonX
%define		pnam	Profiler
Summary:	MasonX::Profiler - Mason per-component profiler
Summary(pl.UTF-8):	MasonX::Profiler - profiler dla komponentów Masona
Name:		perl-MasonX-Profiler
Version:	0.06
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b6ee67e94723ea6041d8efac6c09832e
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-HTML-Mason
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module prints per-component profiling information to STDERR
(usually directed to the Apache error log).

%description -l pl.UTF-8
Ten moduł wypisuje informacje profilujące dla każdego komponentu na
STDERR (zwykle przekierowane do logu błędów Apache'a).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/MasonX/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-MasonX-Profiler.spec,v $
Revision 1.8  2008/07/27 22:41:55  arekm
- release 2

Revision 1.7  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.6  2007/02/12 00:49:39  baggins
- converted to UTF-8

Revision 1.5  2004/12/01 17:45:12  radek
- autoupdated to 0.06

Revision 1.4  2004/11/03 22:30:32  paladine
- formatting

Revision 1.3  2004/11/03 13:00:26  paladine
- spaces->tabs

Revision 1.2  2004/06/05 13:42:19  qboosh
- pl, cosmetics

Revision 1.1  2004/06/04 22:52:03  radek
- new
